=== debian/changelog ===
hashcat (6.2.5+ds1-2) unstable; urgency=medium

  * Team Upload.
  * Fix the build on armhf ("selected architecture lacks an FPU")

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Dec 2021 14:53:02 +0100

hashcat (6.2.5+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 6.2.5+ds1
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no change)
  * Update debian/upstream/metadata

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Dec 2021 16:19:44 +0100
