## hashcat 6.2.6+ds1

=== debian/changelog ===
hashcat (6.2.6+ds1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:34 +1100

hashcat (6.2.6+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libminizip1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 03:30:47 +0000

hashcat (6.2.6+ds1-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Sophie Brun ]
  * New upstream version 6.2.6+ds1
  * Refresh patches
  * Bump Standards-Version to 4.6.1
  * Install new files: tunings/* tools/*
  * Add missing dep Python3
  * Update lintian-overrides
  * Add a patch to fix lintian warnings about shebangs

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Oct 2022 11:50:50 +0200
