=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: hashcat
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgmp-dev,
 	       libminizip-dev,
                libxxhash-dev,
 	       zlib1g-dev,
                opencl-headers
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://hashcat.net/hashcat/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hashcat.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashcat
@@ -69,7 +70,7 @@
 Package: hashcat-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python3
 Suggests: hashcat
 Replaces: hashcat (<= 2.00-0kali3)
 Description: Data files for hashcat advanced password recovery utility
@@ -77,4 +78,4 @@
  seven unique modes of attack for over 100 optimized hashing algorithms.
  .
  This package contains the data files for hashcat, including charsets,
- rules, salts, and tables.
+ rules, salts, tables and Python tools.
