## hashcat 6.2.6+ds2

=== debian/changelog ===
hashcat (6.2.6+ds2-1) unstable; urgency=medium
 
  * Team Upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + hashcat-data: Add :any qualifier for python3 dependency.

  [ Sophie Brun ]
  * Remove non-free code (Closes: #1065934) and disable build with unrar
  * New upstream version 6.2.6+ds2
  * Add missing copyright for deps/*

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 12:01:32 +0200
