=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hashcat
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libgmp-dev,
@@ -70,9 +69,8 @@
 Package: hashcat-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, python3
+Depends: ${misc:Depends}, python3:any
 Suggests: hashcat
-Replaces: hashcat (<= 2.00-0kali3)
 Description: Data files for hashcat advanced password recovery utility
  Hashcat is an advanced CPU/GPU-based password recovery utility supporting
  seven unique modes of attack for over 100 optimized hashing algorithms.
