=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
         export DEB_CFLAGS_MAINT_APPEND = -mfpu=vfpv3-d16
 endif
 
-MAKEFILE_VARIABLES = PREFIX=/usr COMPTIME=$(SOURCE_DATE_EPOCH) USE_SYSTEM_XXHASH=1 USE_SYSTEM_OPENCL=1 USE_SYSTEM_ZLIB=1
+MAKEFILE_VARIABLES = PREFIX=/usr COMPTIME=$(SOURCE_DATE_EPOCH) USE_SYSTEM_XXHASH=1 USE_SYSTEM_OPENCL=1 USE_SYSTEM_ZLIB=1 ENABLE_UNRAR=0
 
 %:
 	dh $@
